commit:     135a111fbefa0b3595d3e8569977cb660d355730
Author:     Matt Jolly <kangie <AT> gentoo <DOT> org>
AuthorDate: Tue May  6 01:54:21 2025 +0000
Commit:     Matt Jolly <kangie <AT> gentoo <DOT> org>
CommitDate: Tue May  6 01:54:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=135a111f

dev-lang/rust-common: add 1.87.0_beta20250430

Signed-off-by: Matt Jolly <kangie <AT> gentoo.org>

 dev-lang/rust-common/Manifest                      |  2 +
 .../rust-common-1.87.0_beta20250430.ebuild         | 73 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-lang/rust-common/Manifest b/dev-lang/rust-common/Manifest
index 1a87c2a9eff3..5e165feae1d1 100644
--- a/dev-lang/rust-common/Manifest
+++ b/dev-lang/rust-common/Manifest
@@ -12,3 +12,5 @@ DIST rustc-1.86.0-src.tar.xz 275696736 BLAKE2B 
9f33a710a3e567d92f56091920643f5ef
 DIST rustc-1.86.0-src.tar.xz.asc 801 BLAKE2B 
3e10a3894c7eee68d37bc5707d797548119f830667e27e652a199d13633199713bd01bd0f41a5f2af3c682561903e36abe27b36ef78d9a1d65bdf485527d2c15
 SHA512 
0b74dab9ee56d0a08e26e9cd40f722e4d99de63ac678f969f0c54d50737074fb28e170db5a36ce2627ec332e5ce3bb8a92167aefbccff7c70e4cb057bc0a94ac
 DIST rustc-1.87.0_beta20250420-src.tar.xz 283544556 BLAKE2B 
70a59c7d695e881a4e21d500f19b7d83e3a86bc8d5dfaaaa28a4cd4631b12937a2743119e3181e84af7b348386c672f4e62675da8cfb399095fcdda527b072e0
 SHA512 
37e62954c21b0d5c232dca1d0fe476b165eb63b7315c1fcaa18068707f4fd00e2def09968ee1d243f62cb3eae3fbb4381493b8505179342705998dce08e23afe
 DIST rustc-1.87.0_beta20250420-src.tar.xz.asc 801 BLAKE2B 
c0ed0686d3bc612e8b0edb96817928107905220328af81d2f9200552c3edb58d98ae8844f01b7dd20e59e6c0a173f6da11b2cd58d0c3b5d5f0bd8290528ea86c
 SHA512 
e2e694feec13d8fb8d9b50442c0c2e3de5cef0a249730c945124880220e44d481b2109098c5a8479f765384a4298e293e63743c924e0866ed2e5aece3a35c98f
+DIST rustc-1.87.0_beta20250430-src.tar.xz 283517896 BLAKE2B 
5d86aa824662230a843576798a544ef5e3a49e0166b66c9ecc9926832e102562aac3493748085b7f38a71e5954206d27f7ab3e219a27d96b1c55a8ab8419851a
 SHA512 
5c29e7513b70416f97ba7a5f9669600da9b695d8dc6df582aa6ffa017da5c38215d9a27584fa6f6b2309813127571eba49a3fef375a6598c607f007f41f6d3fe
+DIST rustc-1.87.0_beta20250430-src.tar.xz.asc 801 BLAKE2B 
4ecdc70a469bce016e7c92a77a8c088ed37375e994a820b24c67269358eed4bc465aa77c4974b1e72586b23737b1d25844394b5de36fd4427978eff20bd07102
 SHA512 
f8c10cf66e2fb791de7b994bba622d1f8e8df75e48fd8d30795edaa6316b935583b51e235520d2aa2578cfcea1dda17ff2256317c7f4bb1f6606f5afbd6a80d1

diff --git a/dev-lang/rust-common/rust-common-1.87.0_beta20250430.ebuild 
b/dev-lang/rust-common/rust-common-1.87.0_beta20250430.ebuild
new file mode 100644
index 000000000000..26c4792d0fb5
--- /dev/null
+++ b/dev-lang/rust-common/rust-common-1.87.0_beta20250430.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/rust.asc
+inherit shell-completion verify-sig
+
+DESCRIPTION="Common files shared between multiple slots of Rust"
+HOMEPAGE="https://www.rust-lang.org/";
+
+if [[ ${PV} = *9999* ]]; then
+       inherit git-r3
+       # In case cargo is not in sync we'll fetch it as a submodule
+       # Nightly users will probably already have the repo cloned and 
up-to-date anyway.
+       EGIT_REPO_URI="https://github.com/rust-lang/rust.git";
+       EGIT_SUBMODULES=( "-*" "src/tools/cargo" )
+elif [[ ${PV} == *beta* ]]; then
+       # Identify the snapshot date of the beta release:
+       # curl -Ls static.rust-lang.org/dist/channel-rust-beta.toml | grep 
beta-src.tar.xz
+       MY_PV=beta
+       betaver=${PV//*beta}
+       BETA_SNAPSHOT="${betaver:0:4}-${betaver:4:2}-${betaver:6:2}"
+       
SRC_URI="https://static.rust-lang.org/dist/${BETA_SNAPSHOT}/rustc-beta-src.tar.xz
 -> rustc-${PV}-src.tar.xz
+               verify-sig? ( 
https://static.rust-lang.org/dist/${BETA_SNAPSHOT}/rustc-beta-src.tar.xz.asc
+                       -> rustc-${PV}-src.tar.xz.asc )
+       "
+       S="${WORKDIR}/rustc-${MY_PV}-src"
+else
+       MY_PV=${PV}
+       SRC_URI="https://static.rust-lang.org/dist/rustc-${PV}-src.tar.xz
+               verify-sig? ( 
https://static.rust-lang.org/dist/rustc-${PV}-src.tar.xz.asc )
+       "
+       S="${WORKDIR}/rustc-${MY_PV}-src"
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc 
~x86"
+fi
+
+LICENSE="|| ( MIT Apache-2.0 ) BSD BSD-1 BSD-2 BSD-4"
+SLOT="0"
+
+# Legacy non-slotted versions bash completions will collide.
+RDEPEND="
+       !dev-lang/rust:stable
+       !dev-lang/rust-bin:stable
+"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-rust )"
+
+src_unpack() {
+       if [[ ${PV} == *9999* ]]; then
+               git-r3_src_unpack
+       else
+               if use verify-sig ; then
+                       verify-sig_verify_detached 
"${DISTDIR}"/rustc-${PV}-src.tar.xz "${DISTDIR}"/rustc-${PV}-src.tar.xz.asc
+               fi
+
+               # Avoid unpacking the whole tarball which would need check-reqs
+               tar -xf "${DISTDIR}"/rustc-${PV}-src.tar.xz \
+                       
"rustc-${MY_PV}-src/src/tools/cargo/src/etc/"{_cargo,cargo.bashcomp.sh} || die
+       fi
+}
+
+src_configure() {
+       :
+}
+
+src_compile() {
+       :
+}
+
+src_install() {
+       newbashcomp src/tools/cargo/src/etc/cargo.bashcomp.sh cargo
+       dozshcomp src/tools/cargo/src/etc/_cargo
+}

Reply via email to